[![npm](https://img.shields.io/npm/v/@highlight-ui/card)](https://www.npmjs.com/package/@highlight-ui/card)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design/40d648a47/v/0/p/294d02-card/b/26fe12)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/content-structure-card--with-footer-card)

# @highlight-ui/card

## Installation

Using npm:

```bash
npm install @highlight-ui/card
```

Using yarn:

```bash
yarn add @highlight-ui/card
```

Using pnpm:

```bash
pnpm install @highlight-ui/card
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/card');
```

Once the package is installed, you can import the library:

```ts
import { Card, CardContent, CardFooter } from '@highlight-ui/card';
```

## Usage

```tsx
import React, { useState } from 'react';
import { Card, CardContent, CardFooter } from '@highlight-ui/card';
import { Typography } from '@highlight-ui/typography';

export default function CardExample() {
  return (
    <Card>
      <CardContent>
        <Typography component="h4" token="heading-medium">
          Active employees
        </Typography>
        <Typography component="span" token="caption">
          Last viewed on 06.07.2023
        </Typography>
        <Typography token="body-base">
          All the active employees from the marketing department with …
        </Typography>
      </CardContent>
      <CardFooter>
        <Typography component="span" token="caption">
          Created by <strong>Personio</strong>
        </Typography>
      </CardFooter>
    </Card>
  );
}
```

## Props 📜

### Card

| Prop            | Type      | Required | Default | Description                                                          |
| :-------------- | :-------- | :------- | :------ | :------------------------------------------------------------------- |
| `animate`       | `boolean` | No       | `false` | Specifies whether the card will have animation or not.               |
| `cardClassName` | `string`  | No       |         | Allows providing a custom class name, applied to the content element |

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/294d02-card/b/26fe12) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
